import { RsocketClient } from "../rsocket/rsocket-client";
import { Observable } from "rxjs";
import { GraphqlSubscribe, MutationDocumentNode, QueryDocumentNode, SubscriptionDocumentNode } from "./graphql.type";
export declare class GraphqlClient {
    private rsocketClient;
    private readonly route;
    constructor(rsocketClient: RsocketClient, route: string);
    query<T>(query: QueryDocumentNode<T>): Observable<T>;
    subscription<T>(subscription: SubscriptionDocumentNode<T>): Observable<GraphqlSubscribe<T>>;
    mutation<T>(mutation: MutationDocumentNode<T>): Observable<T>;
}
