import { BehaviorSubject } from "rxjs";
import { Payload } from "rsocket-core";
import { RsocketConfig } from "./rsocket-config";
import { ChannelParam, ConnectionStatus, FireAndForgotParam, NetWorkStatus, RawPayload, ResponseParam, StreamParam } from "./rsocket.type";
export declare class RsocketClient {
    private _rsocketClient;
    private _error;
    private _connectionStatus;
    private _networkStatus;
    private _config;
    connect(): void;
    encodePayload({ route, data, encodeData }: RawPayload): Payload;
    fireAndForget({ payload }: FireAndForgotParam): void;
    requestResponse({ payload, responderStream }: ResponseParam): import("rxjs").Observable<import("rsocket-core").Cancellable & import("rsocket-core").OnExtensionSubscriber>;
    requestStream({ payload, initialRequestN, responderStream }: StreamParam): import("rxjs").Observable<import("rsocket-core").Requestable & import("rsocket-core").Cancellable & import("rsocket-core").OnExtensionSubscriber>;
    requestChannel({ payload, initialRequestN, isCompleted, responderStream }: ChannelParam): import("rxjs").Observable<import("rsocket-core").OnTerminalSubscriber & import("rsocket-core").OnNextSubscriber & import("rsocket-core").OnExtensionSubscriber & import("rsocket-core").Requestable & import("rsocket-core").Cancellable>;
    get error(): import("rxjs").Observable<Error>;
    set config(rsocketConfig: RsocketConfig);
    get config(): RsocketConfig;
    get connectionStatus(): BehaviorSubject<ConnectionStatus>;
    updateNetworkState(state: NetWorkStatus): void;
    get networkStatus(): import("rxjs").Observable<NetWorkStatus>;
}
