import { ConnectorConfig } from "rsocket-core";
import { Auth } from "./rsocket.type";
export declare class RsocketConfig {
    private config;
    private payloadData;
    private payloadDAuth;
    private _url;
    constructor(url: string);
    setup(setup: ConnectorConfig['setup']): this;
    data(data: unknown): this;
    auth(auth?: Auth): this;
    payload(data: unknown, auth?: Auth, route?: string): this;
    fragmentation(fragmentation: ConnectorConfig['fragmentation']): this;
    url(url: string): this;
    getUrl(): string;
    responder(responder: ConnectorConfig['responder']): this;
    lease(lease: ConnectorConfig['lease']): this;
    resume(resume: ConnectorConfig['resume']): this;
    private buildAuthMetadata;
    build(): ConnectorConfig;
}
